Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.plugin.rendering
Interface RenderingPluginType

All Superinterfaces:
  Localized

All Known Implementing Classes:
  RenderingPluginTypeImpl, RenderingPluginTypes.Connector, RenderingPluginTypes.Content, RenderingPluginTypes.Logic, RenderingPluginTypes.Other, RenderingPluginTypes.Page, RenderingPluginTypes.Portal, RenderingPluginTypes.Portlet, RenderingPluginTypes.RenderingState, RenderingPluginTypes.Social, RenderingPluginTypes.User

    public interface RenderingPluginType

extends Localized

Represents a `RenderingPlugin` type.

This can be used to group together `RenderingPlugin`s from the same provider, for instance a type with name "IBM" and title "IBM Rendering Plugins", or the same product, such as a type with name "CTC and title "Content Template Catalogue Rendering Plugins", or similar functionality, such as a type with name "Dates" and title "Date and Time Rendering Plugins".

This class extends `Localized` which is documented in the WebSphere Portal Infocenter. The `getTitle(Locale)` and `getDescription(Locale)` methods should return a translated title and description for the plugin type.

In the future, `RenderingPlugin`s with the same type may be grouped together in the Authoring UI.

Since:
  8.0.0.1 CF9
Note:

  This interface is designed to be implemented by clients.

Method Summary
`java.lang.String` | `getDescription(java.util.Locale locale)` The translated description of the plugin type, for example "This is a Rendering Plugin that is installed with the Content Template Catalog.".
`java.lang.String` | `getName()` Returns the name for this rendering plugin type.
`java.lang.String` | `getTitle(java.util.Locale locale)` The translated title of the plugin type, for example "Content Template Catalog Rendering Plugin".

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Method Detail

### getName

    java.lang.String getName()

  Returns the name for this rendering plugin type. In the future, this may be used to invoke the plugin, using [RenderingPluginTypeName:RenderingPluginName]. Therefore, this should be a short `String` containing only alphanumeric characters. It must not contains spaces or special characters. For example, "IBM", "CTC" or "Dates".

  Returns:
    Name of the rendering plugin type

### getTitle

    java.lang.String getTitle(java.util.Locale locale)

  The translated title of the plugin type, for example "Content Template Catalog Rendering Plugin".

  Specified by:
    `getTitle` in interface `Localized`
  Parameters:
    `locale` - the locale for which to retrieve the title, must not be `null`.
  Returns:
    the title of this node in the given locale. If a title is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism.
  See Also:
    `Localized.getTitle(java.util.Locale)`

### getDescription

    java.lang.String getDescription(java.util.Locale locale)

  The translated description of the plugin type, for example "This is a Rendering Plugin that is installed with the Content Template Catalog.".

  Specified by:
    `getDescription` in interface `Localized`
  Parameters:
    `locale` - the locale for which to retrieve the description, must not be `null`.
  Returns:
    the description of this node in the given locale. If a description is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism
  See Also:
    `Localized.getDescription(java.util.Locale)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD